# Specbee ## Docs - [GET Company Activity](https://specbeeconsultingservices.mintlify.app/api-reference/a-companies/get-company-activity.md): Retrieves the activity for a given company. - [GET Company Leave Types](https://specbeeconsultingservices.mintlify.app/api-reference/a-companies/get-company-leave-types.md): Retrieves the current company leave types. The query can be filtered by managedBy field. - [GET Current Company](https://specbeeconsultingservices.mintlify.app/api-reference/a-companies/get-current-company.md): Returns the currently accessible company for the given token. Please note, the returned fields depend on the scopes that are enabled for your access token or API key. - [GET Custom Fields](https://specbeeconsultingservices.mintlify.app/api-reference/a-companies/get-custom-fields.md): Returns the custom fields for the given company. - [GET Departments](https://specbeeconsultingservices.mintlify.app/api-reference/a-companies/get-departments.md): Returns a list of departments for the given company. - [GET Levels](https://specbeeconsultingservices.mintlify.app/api-reference/a-companies/get-levels.md): Retrieves the levels for the company. Levels are set positions for an organization, such as Manager, or Executive. - [GET Teams](https://specbeeconsultingservices.mintlify.app/api-reference/a-companies/get-teams.md): Retrieves the list of teams for the company. - [GET Work Locations](https://specbeeconsultingservices.mintlify.app/api-reference/a-companies/get-work-locations.md): Returns the list of work locations for a given company. - [GET Employee](https://specbeeconsultingservices.mintlify.app/api-reference/b-employees/get-employee.md): Retrieves the information for a single employee based on the scopes that your API key or access token have access to. - [GET Employees](https://specbeeconsultingservices.mintlify.app/api-reference/b-employees/get-employees.md): Retrieves the list of active employees currently provisioned within the application. The fields retrieved depend on the employee scopes that you have access to for your access token or API key. The only guarenteed fields include id, personalEmail, and roleState. - [GET Employees (Including Terminated)](https://specbeeconsultingservices.mintlify.app/api-reference/b-employees/get-employees-including-terminated.md): This endpoint is similar to the active employees endpoint, but instead, it includes both active and terminated employees. - [GET Current User](https://specbeeconsultingservices.mintlify.app/api-reference/e-current-user/get-current-user.md): Retrieves basic information about the Rippling user whose access token you're using. This is generally used for the SSO flow. - [DELETE Group](https://specbeeconsultingservices.mintlify.app/api-reference/f-groups/delete-group.md): Please note, the Groups endpoint requires an OAuth application (i.e. approved 3rd party partners), as the end point is intended for mapping third-party application “Groups” within Rippling organizations. - [GET Group](https://specbeeconsultingservices.mintlify.app/api-reference/f-groups/get-group.md): Please note, the Groups endpoint requires an OAuth application (i.e. approved 3rd party partners), as the end point is intended for mapping third-party application “Groups” within Rippling organizations. - [GET Groups](https://specbeeconsultingservices.mintlify.app/api-reference/f-groups/get-groups.md): Please note, the Groups endpoint requires an OAuth application (i.e. approved 3rd party partners), as the end point is intended for mapping third-party application “Groups” within Rippling organizations. - [PATCH Group](https://specbeeconsultingservices.mintlify.app/api-reference/f-groups/patch-group.md): Please note, the Groups endpoint requires an OAuth application (i.e. approved 3rd party partners), as the end point is intended for mapping third-party application “Groups” within Rippling organizations. - [POST Groups](https://specbeeconsultingservices.mintlify.app/api-reference/f-groups/post-groups.md): Creates a generic group, that can be associated within the third-party application. - [PUT Group](https://specbeeconsultingservices.mintlify.app/api-reference/f-groups/put-group.md): Please note, the Groups endpoint requires an OAuth application (i.e. approved 3rd party partners), as the end point is intended for mapping third-party application “Groups” within Rippling organizations. - [GET SAML Metadata](https://specbeeconsultingservices.mintlify.app/api-reference/g-saml/get-saml-metadata.md): Returns a SAML IDP metadata file for the current app integration. Note that this endpoint is only accessible using a token associated with an app integration that has SAML enabled; otherwise it returns a 404 error. - [POST New Candidate](https://specbeeconsultingservices.mintlify.app/api-reference/h-ats/post-new-candidate.md): Pushes a candidate from an applicant tracking system directly into the Rippling onboarding flow. Please note, this endpoint is only available to applications integrating with OAuth2.0. - [Mark App Installed](https://specbeeconsultingservices.mintlify.app/api-reference/i-application-management/mark-app-installed.md): This endpoint can be hit to mark your app as installed in Rippling, if you aren't hitting Rippling's other endpoints on installation. The endpoint does not require any scopes. - [GET Leave Balance](https://specbeeconsultingservices.mintlify.app/api-reference/j-leaves/get-leave-balance.md): Retrieves the leave balances for a given role. A role represents 1 employee. An employee can work at 1 and only 1 company. - [GET Leave Balances](https://specbeeconsultingservices.mintlify.app/api-reference/j-leaves/get-leave-balances.md): Retrieves the leave balances for employees - [GET Leave Requests](https://specbeeconsultingservices.mintlify.app/api-reference/j-leaves/get-leave-requests.md): Retrieves the current leave requests.The query can be filtered by a number of specific query parameters. - [PATCH Leave Request](https://specbeeconsultingservices.mintlify.app/api-reference/j-leaves/patch-leave-request.md): Update an existing leave request. - [POST Leave Request](https://specbeeconsultingservices.mintlify.app/api-reference/j-leaves/post-leave-request.md): Create a leave request. This endpoint is currently in alpha and should not be used by default. Only TILT managed requests can have a status other than PENDING. - [POST Process Leave Request](https://specbeeconsultingservices.mintlify.app/api-reference/j-leaves/post-process-leave-request.md): Approve or decline a leave request. Only pending requests can be processed (approved / declined). Only an admin or manager is capable of taking action on a request. - [Development](https://specbeeconsultingservices.mintlify.app/development.md): Learn how to preview changes locally - [Code Blocks](https://specbeeconsultingservices.mintlify.app/essentials/code.md): Display inline code and code blocks - [Images and Embeds](https://specbeeconsultingservices.mintlify.app/essentials/images.md): Add image, video, and other HTML elements - [Markdown Syntax](https://specbeeconsultingservices.mintlify.app/essentials/markdown.md): Text, title, and styling in standard markdown - [Navigation](https://specbeeconsultingservices.mintlify.app/essentials/navigation.md): The navigation field in mint.json defines the pages that go in the navigation menu - [Reusable Snippets](https://specbeeconsultingservices.mintlify.app/essentials/reusable-snippets.md): Reusable, custom snippets to keep content in sync - [Global Settings](https://specbeeconsultingservices.mintlify.app/essentials/settings.md): Mintlify gives you complete control over the look and feel of your documentation using the mint.json file - [Introduction](https://specbeeconsultingservices.mintlify.app/introduction.md): Welcome to the home of your new documentation - [Quickstart](https://specbeeconsultingservices.mintlify.app/quickstart.md): Start building awesome documentation in under 5 minutes ## OpenAPI Specs - [rippling-support](https://specbeeconsultingservices.mintlify.app/rippling-support.yml) - [openapi](https://specbeeconsultingservices.mintlify.app/api-reference/openapi.json) ## Optional - [Documentation](https://mintlify.com/docs) - [Community](https://mintlify.com/community) - [Blog](https://mintlify.com/blog)